import re
import requests
try:
    from urllib import quote_plus
except ImportError:
    from urllib.parse import quote_plus


def encode_url(url):
    url = quote_plus(url)
    results = requests.get("https://tinyurl.com/create.php?source=create&url=%s&alias=" % url).text
    code = re.findall(r"a href=\"https://tinyurl\.com\/(.*?)\" target=\"_blank\">Open in new window", results)[0]
    return code


def decode_url(code):
    url = "https://tinyurl.com/" + code
    result = requests.get(url, verify=False, allow_redirects=False).headers.get("location")
    return result
